Package com.google.protobuf

# Class InvalidProtocolBufferException.InvalidWireTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.google.protobuf.InvalidProtocolBufferException
com.google.protobuf.InvalidProtocolBufferException.InvalidWireTypeException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  InvalidProtocolBufferException

@ExperimentalApi public static class InvalidProtocolBufferException.InvalidWireTypeException extends InvalidProtocolBufferException
Exception indicating that an unexpected wire type was encountered for a field.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.google.protobuf.InvalidProtocolBufferException

`InvalidProtocolBufferException.InvalidWireTypeException`

## Constructor Summary

Constructors
Constructor
Description
`InvalidWireTypeException(String description)`

## Method Summary

### Methods inherited from class com.google.protobuf.InvalidProtocolBufferException

`getUnfinishedMessage, setUnfinishedMessage, unwrapIOException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidWireTypeException

public InvalidWireTypeException(String description)